> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/flowbox.md).

# Flowbox

Flowbox

## Delete Flowbox peripheral details

> Delete Flowbox peripheral

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Flowbox","description":"Flowbox"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/flowboxes/{flowboxUid}/peripherals/{flowboxPeripheralUid}":{"delete":{"summary":"Delete Flowbox peripheral details","operationId":"delete-tenants-stores-flowboxes-peripherals-details","responses":{"204":{"description":"No Content"}},"description":"Delete Flowbox peripheral","tags":["Flowbox"]}}}}
```

## Attach a new Flowbox to the store

> Register a Flowbox with a store.\
> \
> Required permissions: FLOWBOX

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Flowbox","description":"Flowbox"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"FlowboxAttachRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowboxAttachSchema"}}}}},"schemas":{"FlowboxAttachSchema":{"properties":{"activationCode":{"type":"string"}},"title":"FlowboxAttachSchema","type":"object"}},"responses":{"FlowboxResponse":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/flowboxes":{"post":{"description":"Register a Flowbox with a store.\n\nRequired permissions: FLOWBOX","operationId":"post-tenants-stores-flowboxes","requestBody":{"$ref":"#/components/requestBodies/FlowboxAttachRequest"},"responses":{"200":{"$ref":"#/components/responses/FlowboxResponse"},"404":{"description":"Not found"}},"summary":"Attach a new Flowbox to the store","tags":["Flowbox"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/flowbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
